Index: cpukit/libmisc/monitor/mon-object.c
===================================================================
--- cpukit/libmisc/monitor/mon-object.c	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
+++ cpukit/libmisc/monitor/mon-object.c	(revision 72c440eea7bbd60c9402611053653d377d648e4b)
@@ -1,4 +1,4 @@
 /*
- *	@(#)object.c	1.7 - 95/08/02
+ *	@(#)object.c	1.9 - 96/01/03
  *	
  *
@@ -36,5 +36,5 @@
 rtems_monitor_object_info_t rtems_monitor_object_info[] =
 {
-    { RTEMS_OBJECT_CONFIG,
+    { RTEMS_MONITOR_OBJECT_CONFIG,
       (void *) 0,
       sizeof(rtems_monitor_config_t),
@@ -44,5 +44,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_config_dump,
     },
-    { RTEMS_OBJECT_MPCI,
+    { RTEMS_MONITOR_OBJECT_MPCI,
       (void *) 0,
       sizeof(rtems_monitor_mpci_t),
@@ -52,5 +52,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_mpci_dump,
     },
-    { RTEMS_OBJECT_INIT_TASK,
+    { RTEMS_MONITOR_OBJECT_INIT_TASK,
       (void *) 0,
       sizeof(rtems_monitor_init_task_t),
@@ -60,5 +60,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_init_task_dump,
     },
-    { RTEMS_OBJECT_TASK,
+    { RTEMS_MONITOR_OBJECT_TASK,
       (void *) &_RTEMS_tasks_Information,
       sizeof(rtems_monitor_task_t),
@@ -68,5 +68,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_task_dump,
     },
-    { RTEMS_OBJECT_QUEUE,
+    { RTEMS_MONITOR_OBJECT_QUEUE,
       (void *) &_Message_queue_Information,
       sizeof(rtems_monitor_queue_t),
@@ -76,5 +76,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_queue_dump,
     },
-    { RTEMS_OBJECT_EXTENSION,
+    { RTEMS_MONITOR_OBJECT_EXTENSION,
       (void *) &_Extension_Information,
       sizeof(rtems_monitor_extension_t),
@@ -84,5 +84,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_extension_dump,
     },
-    { RTEMS_OBJECT_DRIVER,
+    { RTEMS_MONITOR_OBJECT_DRIVER,
       (void *) 0,
       sizeof(rtems_monitor_driver_t),
@@ -92,5 +92,5 @@
       (rtems_monitor_object_dump_fn)        rtems_monitor_driver_dump,
     },
-    { RTEMS_OBJECT_DNAME,
+    { RTEMS_MONITOR_OBJECT_DNAME,
       /* XXX now that the driver name table is allocated from the */
       /* XXX Workspace, this does not work */
@@ -114,5 +114,5 @@
     rtems_id            id,
     unsigned32          default_node,
-    rtems_object_type_t type
+    rtems_monitor_object_type_t type
 )
 {
@@ -122,17 +122,8 @@
     if (node == 0)
     {
-#if 0
-        /* XXX Uncomment this when types are added to id's */
         if (rtems_get_class(id) != OBJECTS_NO_CLASS)
             type = rtems_get_class(id);
 
         id = _Objects_Build_id(type, default_node, rtems_get_index(id));
-#else
-#warning "TONY... FIX ME!!!!!"
-#if defined(hppa1_1)
-#warning "TONY... I SAID TO FIX ME!!!!!  <HAHAHAHAHA>" 
-#endif
-        id = _Objects_Build_id(0, default_node, rtems_get_index(id));
-#endif
     }
     return id;
@@ -142,5 +133,5 @@
 rtems_monitor_object_info_t *
 rtems_monitor_object_lookup(
-    rtems_object_type_t type
+    rtems_monitor_object_type_t type
 )
 {
@@ -158,5 +149,5 @@
 rtems_id
 rtems_monitor_object_canonical_next_remote(
-    rtems_object_type_t type,
+    rtems_monitor_object_type_t type,
     rtems_id            id,
     void               *canonical
@@ -234,5 +225,5 @@
 rtems_id
 rtems_monitor_object_canonical_get(
-    rtems_object_type_t  type,
+    rtems_monitor_object_type_t  type,
     rtems_id             id,
     void                *canonical,
@@ -300,5 +291,5 @@
     rtems_monitor_union_t canonical;
 
-    next_id = RTEMS_OBJECT_ID_INITIAL(rtems_monitor_default_node);
+    next_id = RTEMS_OBJECT_ID_INITIAL(info->type, rtems_monitor_default_node);
 
     while ((next_id = rtems_monitor_object_canonical_next(
@@ -321,12 +312,12 @@
     int arg;
     rtems_monitor_object_info_t *info = 0;
-    rtems_object_type_t          type = (rtems_object_type_t) command_arg;
+    rtems_monitor_object_type_t  type = (rtems_monitor_object_type_t) command_arg;
     
     /* what is the default type? */
-    type = (rtems_object_type_t) command_arg;
+    type = (rtems_monitor_object_type_t) command_arg;
 
     if (argc == 1)
     {
-        if (type == RTEMS_OBJECT_INVALID)
+        if (type == RTEMS_MONITOR_OBJECT_INVALID)
         {
             printf("A type must be specified to \"dump all\"\n");
@@ -345,5 +336,5 @@
     {
         unsigned32          default_node = rtems_monitor_default_node;
-        rtems_object_type_t last_type = RTEMS_OBJECT_INVALID;
+        rtems_monitor_object_type_t last_type = RTEMS_MONITOR_OBJECT_INVALID;
         rtems_id            id;
 
@@ -352,7 +343,6 @@
             id = (rtems_id) strtoul(argv[arg], 0, 0);
             id = rtems_monitor_id_fixup(id, default_node, type);
-#if 0
-            type = rtems_get_type(id);
-#endif
+            type = (rtems_monitor_object_type_t) rtems_get_class(id);
+
             /*
              * Allow the item type to change in the middle
@@ -364,8 +354,5 @@
                 info = rtems_monitor_object_lookup(type);
                 if (info == 0)
-                {
-not_found:          printf("Invalid or unsupported type %d\n", type);
-                    goto done;
-                }
+                    goto not_found;
             
                 if (info->dump_header)
@@ -373,4 +360,10 @@
             }
 
+            if (info == 0)
+            {
+not_found:      printf("Invalid or unsupported type %d\n", type);
+                goto done;
+            }
+
             rtems_monitor_object_dump_1(info, id, verbose);
 
